Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'honor_setting' => "honors#setting"
      get 'honors/download_excel_format' => 'honors#excel_format'
      post 'honors/import_from_excel' => 'honors#import_from_excel'

      resources :honors do
        collection do
          get 'toggle_hide' => 'honors#toggle_hide'
          get 'analysis'
          get 'analysis_report'
          get "download_excel"
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :honors do
              collection do
                get 'frontend_setting' => 'honors#frontend_setting'
                post 'update_frontend_setting' => 'honors#update_frontend_setting'
              end
            end
          end
        end
      end
      
      resources :honor_types
      post "honor_types/update_order" => "honor_types#update_order"
		end
    get "/xhr/personal_honor/get_fields_for_index" => "personal_honors#get_fields_for_index"
    post "/xhr/personal_honor/save_index_fields" => "personal_honors#save_index_fields"
	end
end
